﻿using System.Linq;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using Syncfusion.Linq;
using Syncfusion.JavaScript.Models;
using System;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
       public static List<OrdersView> ordersdata = new List<OrdersView>();


        public IActionResult Index()
        {
            if (ordersdata.Count() == 0)
                GetData();          
            List<Column> cols = new List<Column>();
            cols.Add(new Column() { Field = "OrderID" });
            cols.Add(new Column() { Field = "EmployeeID" });
            cols.Add(new Column() { Field = "CustomerID" });
            cols.Add(new Column() { Field = "Freight" });
            cols.Add(new Column() { Field = "ShipCity" });
            cols.Add(new Column() { Field = "ShipCountry" });
            cols.Add(new Column() { Field = "ShipName" });
            var vm = new GripProp();
            vm.column = cols;
            vm.GridHeight = 300;
            vm.List_alertes = ordersdata;
            return View(vm);
        }
        public void GetData()
        {
            int code = 10000;
            for (int i = 1; i < 10; i++)
            {
                ordersdata.Add(new OrdersView(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin", "Germany", "Alfred's Futterkiste"));
                ordersdata.Add(new OrdersView(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid", "Mexico", "Ana Trujillo Emparedados y helados"));
                ordersdata.Add(new OrdersView(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester", "UK", "Antonio Moreno Taquería"));
                ordersdata.Add(new OrdersView(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille", "Sweden", "Bon app'"));
                ordersdata.Add(new OrdersView(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen", "France", "Bottom-Dollar Markets"));
                code += 5;
            }
        }      
        public class OrdersView
        {
            public OrdersView()
            {

            }
            public OrdersView(long OrderID, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity, string ShipCountry, string ShipName)
            {
                this.OrderID = OrderID;
                this.CustomerID = CustomerId;
                this.EmployeeID = EmployeeId;
                this.Freight = Freight;
                this.OrderDate = OrderDate;
                this.ShipCity = ShipCity;
                this.ShipCountry = ShipCountry;
                this.ShipName = ShipName;
            }

            public long? OrderID { get; set; }
            public string CustomerID { get; set; }
            public int? EmployeeID { get; set; }
            public double? Freight { get; set; }
            public DateTime OrderDate { get; set; }
            public string ShipCity { get; set; }
            public string ShipCountry { get; set; }
            public string ShipName { get; set; }
        }
        public class GripProp
        {
            public GripProp()
            {

            }
            public GripProp(List<Column> column, int GridHeight, List<OrdersView> List_alertes)
            {
                this.column = column;
                this.GridHeight = GridHeight;
                this.List_alertes = List_alertes;
            }

            public List<Column> column { get; set; }
            public int GridHeight { get; set; }
           public List<OrdersView> List_alertes { get; set; }
          
        }
    }
}